<?php
///////////////////////////////////////////////////////////////////////////////////////
// opencart1.4.9【日本語版】
// opencart.jp
// cod_feet.php
// このファイルは、注文合計の代引き金額表示モジュールです
// ver 1.0.0 Coding By sae seagreenzzz@gmail.com
// GPL ver 3
///////////////////////////////////////////////////////////////////////////////////////
class ModelTotalCodFee extends Model {
	public function getTotal(&$total_data, &$total, &$taxes) {

		if ( $this->config->get('cod_fee_status') ){

			if( $this->cart->getSubTotal() < $this->config->get('cod_fee_total') && isset($this->session->data['payment_method']['id']) && $this->session->data['payment_method']['id'] == 'cod' ){

				$this->load->language('total/cod_fee');

				$this->load->model('localisation/currency');

				$total_data[] = array(
					'title'      => $this->language->get('text_cod_fee'),
					'text'       => $this->currency->format($this->config->get('cod_fee_fee')),
					'value'      => $this->config->get('cod_fee_fee'),
					'sort_order' => $this->config->get('cod_fee_sort_order')
				);

				$total += $this->config->get('cod_fee_fee');

			}//if-end

		}//if-end

	}//function-end

}//class-end
?>